local Menu	= {}
local gr	= love.graphics

function Menu:update( tk )
	if self.size < 1 and show.m then self.size = self.size + tk/2
		else
		if not show.m then self.size = 0 end
		end
	end

function Menu:draw( x, y )
	gr.setColor( 255, 255, 255 )
	gr.draw( self.canvas, x, y, 0, self.size, self.size, self.canvas:getWidth()/2, self.canvas:getHeight()/2 )
	end

function Menu:create()
	local controls = [[
	CONTROLS
Arrows - Move camera
I/O - Zoom in / out
Left Button - Select node
Right Button - Create new link
Space - Add new node to selected
Backspace - Delete selected node
R - Graph Rotation
B - Bounding Box Display
E - Show Edges
L - Show Labels
P - Show Points(nodes)
C - Show Calls [if available]
N - Change Data Set
Z - Show Stats
X - Show Rotational Center
U - Save Image
M - Show This Menu
ESC- Exit
]]
	self.size	= 0
	self.canvas = gr.newCanvas( 320, 425 )
	gr.setCanvas( self.canvas )
		gr.setColor( color.controls )
		gr.rectangle( 'fill', 0, 10, 320, 415, 10, 10 )
		gr.setColor( color.text )
		gr.print( controls, 10, 10 )
		gr.setCanvas()
	end

return Menu
